Index: geo/google.py
===================================================================
--- geo/google.py	(revision 252)
+++ geo/google.py	(working copy)
@@ -12,15 +12,21 @@
 
 from django.conf import settings
 
+import re
 
-
 class AddressNotFound(Exception):
     pass
 
 class MultipleAddress(Exception):
     pass
+    
+def _get_charset(header):
+    charset_pattern = re.compile(r"charset=(.*)")
+    matches = charset_pattern.search(header)
+    if matches:
+        return matches.groups(0)[0].split(";")[0] # take the first charset only
+    return None
 
-
 def get_page(url):
     """Retrieve the content of the HTTP url, as an Unicode string.
     
@@ -29,10 +35,9 @@
 
     fp = urlopen(url)
     
-    content_type = fp.info()['content-type']
-    # TODO parse the charset
-    charset = 'utf-8'
-    print content_type
+    info = fp.info()
+    content_type = info['content-type']
+    charset = _get_charset(content_type) or "utf-8"
 
     return fp.read().decode(charset)
 